Como instalar nossos pacotes LMDE em 3 segundos

Aproveitando o artigo recente sobre o que eu postei mintbackup, Quero mostrar três maneiras fáceis de reinstalar os pacotes que usamos quando reinstalamos nosso LMDE.

Na verdade, com exceção da primeira forma, as demais podem ser utilizadas tanto em Debian, Como na Ubuntu.

Instalação em 3 segundos

Graficamente.

Esta é a forma mais parecida com ela, toda gráfica e sem ter que tocar em um terminal. Dentro LMDE y linuxmintexiste um ferramenta fabulosa chamada mintbackup, que entre outras coisas, podemos usá-lo para salvar nossos pacotes e depois reinstalá-los.

No caso de LMDE, se atualizarmos o pacote python-apt para a versão 0.8.0, não poderemos usar mintbackup devido a um problema de dependência. Ele retornará o seguinte erro:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Espero que os caras de hortelã conserte logo.

Pelo terminal.

Através da consola podemos fazê-lo de 2 formas, que no final, tem sido igual.

Em 2 etapas.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Assim que tivermos acesso aos repositórios e tudo estiver configurado e atualizado, só temos que colocar isso:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

Em 3 etapas.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Após a reinstalação, executamos:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

E então nós executamos:

apt-get -u dselect-upgrade

Acho desnecessário esclarecer que devemos ter os repositórios configurados corretamente .. Simples né?


O conteúdo do artigo segue nossos princípios de Ética editorial. Para relatar um erro, clique Clique aqui.

8 comentários, deixe o seu

Deixe um comentário

Seu endereço de email não será publicado.

*

*

  1. Responsável pelos dados: Miguel Ángel Gatón
  2. Finalidade dos dados: Controle de SPAM, gerenciamento de comentários.
  3. Legitimação: Seu consentimento
  4. Comunicação de dados: Os dados não serão comunicados a terceiros, exceto por obrigação legal.
  5. Armazenamento de dados: banco de dados hospedado pela Occentus Networks (UE)
  6. Direitos: A qualquer momento você pode limitar, recuperar e excluir suas informações.

  1.   coragem dito

    Ou você também anota todos os programas que tinha antes e faz

    sudo apt-get -y em todos os pacotes que foram deletados

    Eu realmente não sei se o LMDE tem o mesmo objetivo do Linux MInt, estar pronto para uso

    1.    coragem dito

      * instalar

  2.   hokasito dito

    Embora seja um pouco "fora do tópico", gostaria de avisar que os candidatos a lançamento foram lançados no Linux Mint Debian 201108 para GNOME e XFCE. Espero que algumas melhorias tenham sido feitas ... 🙂

    1.    elav <° Linux dito

      Bem, sim, o que aconteceu quando esta excelente notícia foi publicada, estávamos off-line .. Obrigado.

  3.   mitcoes dito

    Acabei de descobrir você e OBRIGADO.
    Ontem instalei o LMDE de 64 bits e estou me saindo bem, mas tenho 2 pequenas coisas para descobrir-

    1– Faça login como root no modo gráfico

    2.- Defina o VLC como o reprodutor de vídeo padrão

    Acho que iria obtê-lo no painel de controle de aplicativos preferenciais ou abrindo com outro aplicativo / usando este aplicativo por padrão. Conectado como root.

    Eu fiz sudo nautilus por precaução e nada.

    PS1: Em 64 bits se o abckup dos pacotes funcionar bem.
    PS2: Também preciso instalar o MAME SDL e o wine64 recente para o qual gostaria que existisse um ppa, porque configurar programas posteriormente não o atualiza automaticamente.
    PS3: Estou usando o driver AMD beta AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, para ver a série geolocalização no Firefox, Chrome - que deve ser instalado -, Firefox Flash com Flash de 64 bits, Zindus, Qbittorrent, Opera, a extensão aletras.oxt e o script de recebimento para controlar o excesso de cache de RAM da tarefa que também merece um comentário seu.

    Estou ansioso para a quinta parte do tutorial com essas e / ou outras sugestões

  4.   COMECON dito

    Olá!
    Uma coisa, devemos mudar o primeiro link que envia o artigo MintBackup para este: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Não sei por que, tem um link para um subdiretório "/ wp-content / themes" ...

    1.    KZKG ^ Gaara dito

      Feito, corrigido 😉

  5.   Nahum dito

    Olá, desde a versão anterior do LMDE amd64 tenho tido problemas com pacotes quebrados e erros ao carregar repositórios, tentei muitas soluções e nenhuma delas funciona ... Não sei mais o que fazer, queria instalar o Gnome-shell e não deixou porque o pacote está quebrado. Eu vi como resolver os pacotes quebrados com comandos como: sudo dpkg –purge –force-remove-reinstreq

    e recebo o seguinte erro:

    dpkg: error: –purge requer pelo menos um nome de pacote como parâmetro

    Digite dpkg –help para obter ajuda na instalação e desinstalação de pacotes [*];
    Use `dselect 'ou` aptitude' para um gerenciamento de pacotes mais amigável;
    Digite dpkg -Dhelp para obter uma lista de configurações de depuração para dpkg;
    Digite dpkg –force-help para obter uma lista de opções para forçar as coisas;
    Digite dpkg-deb –help para obter ajuda na manipulação de arquivos .deb;

    As opções marcadas com [*] produzem saída longa,
    Filtre com 'menos' ou com 'mais'!

    se alguem puder me ajudar com isso 🙂